Subject: bug#57989: 27.1; mhtml-mode should support C-c / in sub-modes

From: Benjamin Moody <[email-masked]>
Date: Wed, 21 Sep 2022 14:40:40 -0400

When editing HTML, I'm accustomed to pressing C-c / to close the
innermost element.  For example, if I type

  <html>
    <head>
      <style> p { color: red; }

and then press C-c /, I expect Emacs to insert "</style>".

However, with mhtml-mode, this doesn't work inside a <script> or <style>
element, because only the js-mode or css-mode bindings are in effect
there.

There are other html-mode keybindings that might sometimes be useful
inside of JS/CSS blocks too, such as C-c C-b and C-c C-f.

It's not obvious to me if there is any way to customize the bindings
that are in effect inside a CSS block in MHTML mode, independent of the
bindings that are in effect when editing a .css file.